<?php

use Illuminate\Support\Facades\Route;
use Modules\Statistic\Http\Controllers\ChargeTJController;
use Modules\Statistic\Http\Controllers\UserStatisticsController;
use Modules\Statistic\Http\Controllers\VideoStatController;

Route::prefix('statistic')->group(function(){
    //next
    // 用户统计
    Route::prefix('users')->group(function (){
        Route::any('today',[UserStatisticsController::class,'todayData']);
    });

    // 短剧统计
    Route::prefix('video')->group(function (){
        Route::get('list',[VideoStatController::class,'index'])->withoutMiddleware(config('catch.route.middlewares'));
        Route::get('stats',[VideoStatController::class,'stats'])->withoutMiddleware(config('catch.route.middlewares'));
    });
    // 充值统计
    Route::prefix('charge')->group(function() {
        Route::get('list', [ChargeTJController::class, 'list']);
        Route::get('todayCharge', [ChargeTJController::class, 'todayCharge']);
        Route::get('listTotalCharge', [ChargeTJController::class, 'listTotalCharge']);
        Route::get('currentMonthCharge', [ChargeTJController::class, 'currentMonthCharge']);
        Route::get('lastMonthCharge', [ChargeTJController::class, 'lastMonthCharge']);
        Route::get('totalCharge', [ChargeTJController::class, 'totalCharge']);
    });
});
